# v.0.1.6

- [Home](https://legacy.docs.touchguild.com/documentation/select-version/v.0.1.6/home.md): Using a library includes reading docs.
- [Components](https://legacy.docs.touchguild.com/documentation/select-version/v.0.1.6/components.md): Components are also called Structures in the GitHub repo.
- [Client](https://legacy.docs.touchguild.com/documentation/select-version/v.0.1.6/components/client.md): The Guilded Bot's client, where everything's happen and where the Guilded bot interacts with guilds/servers.
- [Channel](https://legacy.docs.touchguild.com/documentation/select-version/v.0.1.6/components/channel.md): The 'Channel' component is a 'GuildChannel' component as for now. This can change in the future by moving some data into an extension of 'Channel'.
- [Message](https://legacy.docs.touchguild.com/documentation/select-version/v.0.1.6/components/message.md): The 'Message' component is a 'GuildMessage' component as for now. This can change in the future by moving some data into an extension of 'Message'.
- [Guild](https://legacy.docs.touchguild.com/documentation/select-version/v.0.1.6/components/guild.md): The Guild is also known as 'server', it's where everything happen, and where the bot interacts with people/the environment.
- [🙇♂ User](https://legacy.docs.touchguild.com/documentation/select-version/v.0.1.6/components/user.md): It is the default component for a 'user', it contains every basic information about the user, those can be seen by anyone.
- [Member](https://legacy.docs.touchguild.com/documentation/select-version/v.0.1.6/components/member.md): The Member component extends the User component. (Member is a Guild Member or Server Member)
- [BannedMember](https://legacy.docs.touchguild.com/documentation/select-version/v.0.1.6/components/bannedmember.md): BannedMember is a component that extends the User component.
- [CalendarEvent](https://legacy.docs.touchguild.com/documentation/select-version/v.0.1.6/components/calendarevent.md): Calendar Event is a specific event from a calendar channel, so obvious.
- [CalendarEventRSVP](https://legacy.docs.touchguild.com/documentation/select-version/v.0.1.6/components/calendareventrsvp.md)
- [ForumTopic](https://legacy.docs.touchguild.com/documentation/select-version/v.0.1.6/components/forumtopic.md): Component coming from a 'Forum' channel.
- [Doc](https://legacy.docs.touchguild.com/documentation/select-version/v.0.1.6/components/doc.md): Doc is component coming from a 'docs' channel.
- [ListItem](https://legacy.docs.touchguild.com/documentation/select-version/v.0.1.6/components/listitem.md): ListItem is a 'list channel' component. It has his own properties and methods.
- [Webhook](https://legacy.docs.touchguild.com/documentation/select-version/v.0.1.6/components/webhook.md)
- [List of available events](https://legacy.docs.touchguild.com/documentation/select-version/v.0.1.6/list-of-available-events.md): Events are the key to make your bot alive & feel more active. Here, you'll find every events we're supporting, as for now.
- [Types](https://legacy.docs.touchguild.com/documentation/select-version/v.0.1.6/types.md): Get to know what's in objects without console logging.
- [MentionsType](https://legacy.docs.touchguild.com/documentation/select-version/v.0.1.6/types/mentionstype.md)
- [ListItemNoteTypes](https://legacy.docs.touchguild.com/documentation/select-version/v.0.1.6/types/listitemnotetypes.md)
- [ChannelEditTypes](https://legacy.docs.touchguild.com/documentation/select-version/v.0.1.6/types/channeledittypes.md): Types needed when editing a channel with an edit method.
- [ChannelCategories](https://legacy.docs.touchguild.com/documentation/select-version/v.0.1.6/types/channelcategories.md): Channel types/categories
- [messageReactionRawTypes](https://legacy.docs.touchguild.com/documentation/select-version/v.0.1.6/types/messagereactionrawtypes.md): Raw types coming from the API itself. Helpful for the lib devs.
- [messageReactionTypes](https://legacy.docs.touchguild.com/documentation/select-version/v.0.1.6/types/messagereactiontypes.md): TouchGuild's message reaction types.
- [emojiTypes](https://legacy.docs.touchguild.com/documentation/select-version/v.0.1.6/types/emojitypes.md)
- [socialLinkTypes](https://legacy.docs.touchguild.com/documentation/select-version/v.0.1.6/types/sociallinktypes.md)
- [UserClientTypes](https://legacy.docs.touchguild.com/documentation/select-version/v.0.1.6/types/userclienttypes.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://legacy.docs.touchguild.com/documentation/select-version/v.0.1.6.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
